<template>
  <span class="ModalBoardAdd">
    
    <b-button  v-b-modal.m-board2 variant="outline-info" class='ml-3'>+ New board</b-button>

    <b-modal id="m-board2" centered title="New Board">

      <b-form-input v-model="boardName" placeholder="Board name"></b-form-input>

      <template #modal-footer>
        <div class="w-100">
          <b-button
            variant="success"
            class="float-right ml-2"
            @click="$bvModal.hide('m-board2'); updateName();"
          >
            Save
          </b-button>
        </div>
      </template>
    </b-modal>

  </span>
</template>

<script>
import axios from 'axios';

export default {
  name: 'ModalBoardAdd',
  props: [],
  data(){
    return {
      boardName: ''
    }
  },
  methods:{
    updateName(){

      let board = {
        name: this.boardName
      }

      axios.post(`${process.env.VUE_APP_URL}/boards/`, board)
      .then(response => {
          this.board = response.data
          this.boardName = ''
          window.location.reload(false);
      })
      .catch(error => alert("error " + error))

      this.boardName = ''
    }
  }
}
</script>


<style scoped>
#ModalBoardAdd{
}
</style>
